Subject: Re: interesting behavior
From: Earnie Boyd <[email-masked]>
To: Eric Christopher <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 9 Mar 2000 07:11:54 -0800 (PST)

--- Eric Christopher <[email-masked]> wrote:
> Okay.  Here's a new one.
> 
> I've got a directory structure / like this:
> 
> bin contrib etc home <few other things>
> 
> I decide to mount contrib to where it actually is:
> 
> 'mount g:\cygwin\contrib /contrib' 
> 

Umm... You're executing the command from bash.  The \ is used for character
quoting so you end up with g:cygwincontrib as the source directory.  Just check
the registry entry.  From bash you could use `mount g:/cygwin/contrib /contrib'
instead.

> (this didn't acutally do anything)
> 

It won't actually change anything when you get it correct either since
g:\cygwin is mounted as /.  It might even cause Cygwin to be slower since it
adds to the hashing levels.

> now ls / errors out with contrib not found, though g:\cygwin\contrib
> really is there.
> 

That is because it can't find g:cygwincontrib as a directory.

> Any explainations?  (Other than doctor it hurts when I do this! Don't do
> that. *grin*)
> 
> 

I think Chris must have been executing mount from DOS. ;^).

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]